package ru.landgrafhomyak.serdha.api.v0.runtime

import ru.landgrafhomyak.serdha.api.v0.misc.Input

public interface ParametersSetter<QueryUserExtension : Any/* todo*/> {
	public operator fun <RuntimeType> set(c: Input<RuntimeType, *, QueryUserExtension>, value: RuntimeType)

	public operator fun set(c: Input<Byte, *, QueryUserExtension>, value: Byte): Unit = this.set<Byte>(c, value)
	public operator fun set(c: Input<UByte, *, QueryUserExtension>, value: UByte): Unit = this.set<UByte>(c, value)
	public operator fun set(c: Input<Short, *, QueryUserExtension>, value: Short): Unit = this.set<Short>(c, value)
	public operator fun set(c: Input<UShort, *, QueryUserExtension>, value: UShort): Unit = this.set<UShort>(c, value)
	public operator fun set(c: Input<Int, *, QueryUserExtension>, value: Int): Unit = this.set<Int>(c, value)
	public operator fun set(c: Input<UInt, *, QueryUserExtension>, value: UInt): Unit = this.set<UInt>(c, value)
	public operator fun set(c: Input<Long, *, QueryUserExtension>, value: Long): Unit = this.set<Long>(c, value)
	public operator fun set(c: Input<ULong, *, QueryUserExtension>, value: ULong): Unit = this.set<ULong>(c, value)
	public operator fun set(c: Input<Char, *, QueryUserExtension>, value: Char): Unit = this.set<Char>(c, value)
	public operator fun set(c: Input<Boolean, *, QueryUserExtension>, value: Boolean): Unit = this.set<Boolean>(c, value)
}